#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 turtle
version:              1.5.21
visibility:           public
id:                   turtle-1.5.21-GvzcH5U2xe5DU4oit6Y9zX
key:                  turtle-1.5.21-GvzcH5U2xe5DU4oit6Y9zX
license:              BSD-3-Clause
copyright:            2015 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.

    Features include:

    * Batteries included: Command an extended suite of predefined utilities

    * Interoperability: You can still run external shell commands

    * Portability: Works on Windows, OS X, and Linux

    * Exception safety: Safely acquire and release resources

    * Streaming: Transform or fold command output in constant space

    * Patterns: Use typed regular expressions that can parse structured values

    * Formatting: Type-safe @printf@-style text formatting

    * Modern: Supports @text@ and @system-filepath@

    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide

    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.

category:             System
abi:                  e0cd30c924fc879eb9d4a148fd608ce4
exposed:              True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial

hidden-modules:       Turtle.Internal
import-dirs:          /usr/lib/ghc-8.10.2/site-local/turtle-1.5.21
library-dirs:         /usr/lib/ghc-8.10.2/site-local/turtle-1.5.21
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/turtle-1.5.21
hs-libraries:         HSturtle-1.5.21-GvzcH5U2xe5DU4oit6Y9zX
depends:
    ansi-wl-pprint-0.6.9-7miRyooppCu5NtyjEqTXFf
    async-2.2.2-9B1GNjZqSi02JrVTPPwupP base-4.14.1.0
    bytestring-0.10.10.0 clock-0.8-GgyC1t0yogI8KcRGJ3XM3f
    containers-0.6.2.1 directory-1.3.6.0 exceptions-0.10.4
    foldl-1.4.10-3BfR8MAxoJR70KECDU79GP
    hostname-1.0-HuLFRKq4zI6Dvl2iG8Zmez
    managed-1.0.8-9f0G3vWwVh6HB1O9keDDLq
    optional-args-1.0.2-DP4GQ00CVK6BmQ50Z9qvmn
    optparse-applicative-0.16.0.0-DrvbQICYyMB1umm27hCh4F
    process-1.6.9.0 stm-2.5.0.0
    streaming-commons-0.2.2.1-ITJbuSBZjcj9a86hqzL4VG
    system-fileio-0.3.16.4-2bY3j2doYbA8BYvCl0MLKd
    system-filepath-0.4.14-FxHi7skBMhH5fHstBKnVv
    temporary-1.3-Ki8aiCYG1ULGemenzGgAnQ text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-7IcOHcLTxJI58jp45CNrGP

haddock-interfaces:   /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html:         /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

